package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_WB_SJDZ")
public class VRsWbSjdz {
	
	@TableId(value = "RS_WB_SJDZ_LSH", type = IdType.ASSIGN_UUID)
    private String rsWbSjdzLsh;//主键
    
    @TableField("YHID")
    private String yhid;//用户
    
    @TableField("SJRXM")
    private String sjrxm;//收件人姓名
    
    @TableField("SJRDH")
    private String sjrdh;//收件人电话
    
    @TableField("SJDZ")
    private String sjdz;//收件地址
    
    @TableField("YZBM")
    private String yzbm;//邮政编码
    
    @TableField("MRDZ")
    private String mrdz;//默认地址
    
    @TableField("TS_YXBZ")
    private String tsyxbz;//有效标志

	@TableField("TCUSTPROVINCE")
	private String tcustProvince;

	@TableField("TCUSTCITY")
	private String tcustCity;

	@TableField("TCUSTCOUNTY")
	private String tcustCounty;
	@TableField(exist = false)
	private String tcustProvinceCode;
	@TableField(exist = false)
	private String tcustCityCode;
	@TableField(exist = false)
	private String tcustCountyCode;
	@TableField(exist = false)
	private String sjrxxdz;

	public String getSjrxxdz() {
		return sjrxxdz;
	}

	public void setSjrxxdz(String sjrxxdz) {
		this.sjrxxdz = sjrxxdz;
	}

	public String getTcustProvinceCode() {
		return tcustProvinceCode;
	}

	public void setTcustProvinceCode(String tcustProvinceCode) {
		this.tcustProvinceCode = tcustProvinceCode;
	}

	public String getTcustCityCode() {
		return tcustCityCode;
	}

	public void setTcustCityCode(String tcustCityCode) {
		this.tcustCityCode = tcustCityCode;
	}

	public String getTcustCountyCode() {
		return tcustCountyCode;
	}

	public void setTcustCountyCode(String tcustCountyCode) {
		this.tcustCountyCode = tcustCountyCode;
	}

	public String getTcustProvince() {
		return tcustProvince;
	}

	public void setTcustProvince(String tcustProvince) {
		this.tcustProvince = tcustProvince;
	}

	public String getTcustCity() {
		return tcustCity;
	}

	public void setTcustCity(String tcustCity) {
		this.tcustCity = tcustCity;
	}

	public String getTcustCounty() {
		return tcustCounty;
	}

	public void setTcustCounty(String tcustCounty) {
		this.tcustCounty = tcustCounty;
	}

	public String getRsWbSjdzLsh() {
		return rsWbSjdzLsh;
	}

	public void setRsWbSjdzLsh(String rsWbSjdzLsh) {
		this.rsWbSjdzLsh = rsWbSjdzLsh;
	}

	public String getYhid() {
		return yhid;
	}

	public void setYhid(String yhid) {
		this.yhid = yhid;
	}

	public String getSjrxm() {
		return sjrxm;
	}

	public void setSjrxm(String sjrxm) {
		this.sjrxm = sjrxm;
	}

	public String getSjrdh() {
		return sjrdh;
	}

	public void setSjrdh(String sjrdh) {
		this.sjrdh = sjrdh;
	}

	public String getSjdz() {
		return sjdz;
	}

	public void setSjdz(String sjdz) {
		this.sjdz = sjdz;
	}

	public String getYzbm() {
		return yzbm;
	}

	public void setYzbm(String yzbm) {
		this.yzbm = yzbm;
	}

	public String getMrdz() {
		return mrdz;
	}

	public void setMrdz(String mrdz) {
		this.mrdz = mrdz;
	}

	public String getTsyxbz() {
		return tsyxbz;
	}

	public void setTsyxbz(String tsyxbz) {
		this.tsyxbz = tsyxbz;
	}
}